commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From robert burrell donkin <robertburrelldon...@blueyonder.co.uk>
Subject Re: [logging] update docs to specify that java 1.1 is supported
Date Sun, 17 Apr 2005 19:16:25 GMT
On Sun, 2005-04-17 at 11:46 -0700, Brian Stansberry wrote:

<snip>

> BTW, I forgot to mention this in my earlier comments
> on running w/ JDK 1.1.  For both JCL 1.0.1 and 1.0 the
> binary download didn't run (got a NoClassDefFoundError
> looking for LogFactory).  I had to rebuild from source
> to get them to run.  I'm *speculating* the binaries
> were compiled targetting JDK 1.2 and the 1.1 JVM
> reacted by throwing a NoClassDefFoundError.  I know
> later versions of the JDK give you a message saying
> they don't understand the class format; maybe 1.1
> didn't do that??

possibly the symbolic reference is being resolved earlier

> I point this out because if we put a note in the wiki
> saying 1.0.1 and earlier work with JDK 1.1 we should
> probably be sure the download binaries work :)

+1

if you've tested them and they don't work then the only safe statement
to make is to recommend that people download the source and compile from
that. 

- robert


---------------------------------------------------------------------
To unsubscribe, e-mail: commons-dev-unsubscribe@jakarta.apache.org
For additional commands, e-mail: commons-dev-help@jakarta.apache.org


Mime
View raw message